<?php
date_default_timezone_set ( 'America/Denver' );
function connect() {
	try {
		$dbh = new PDO ( "sqlite:./lec25ex05.db" );
	} catch ( PDOException $e ) {
		echo $e->getMessage ();
	}
	return $dbh;
}
function conditionalRebuildDatabase() {
	if ((time () - lastUpdatedTime ()) > 300) {
		$dbh = connect ();
		$dbh->exec ( "DROP TABLE IF EXISTS dogs;" );
		$dbh->exec ( "CREATE TABLE dogs (
						   dog_id int(5) NOT NULL,
						   name varchar(50),
						   creator  varchar(50),
						   person varchar(50),
						   uptime int(32),
						   PRIMARY KEY (dog_id)
	   );" );
		$ctime = time ();
		$dbh->exec ( "INSERT INTO dogs VALUES (1, \"Snoopy\", \"Schultz\", \"Charlie Brown\", $ctime );" );
		$dbh->exec ( "INSERT INTO dogs VALUES (2, \"Gromit\", \"Parks\", \"Wallace\", $ctime );" );
		$dbh->exec ( "INSERT INTO dogs VALUES (3, \"Lassie\", \"Knight\", \"Timmie\", $ctime );" );
	}
}
function lastUpdatedTime() {
	$dbh = connect ();
	$res = $dbh->query ( "SELECT MAX(uptime) AS lastup  FROM dogs;" );
	$row = $res->fetch ( PDO::FETCH_ASSOC );
	return $row ["lastup"];
}
function lastUpdatedHTML() {
	return date ( 'm/d/Y H:i:s', lastUpdatedTime () );
}

?>
